// window.cpp

#include "window.h"

//-----------------------------
// Window implementation
//-----------------------------
Window::Window( char* title_ )
{
    title = title_;
    inp_box.value( "12345" );
    out_box.value( "67890" );
}

void Window::click_btn_set_text() {
    char* text = inp_box.value();
    out_box.value( text );
}

void Window::show()
{
    std::cout << "Window: " << title << '\n';
    std::cout << inp_box.value() << '\n';
    std::cout << out_box.value() << '\n';
    std::cout << '\n';
}

void Window::run()
{
    click_btn_set_text(); // user clicks the button
    show();               // display changes
}


//-----------------------------
// Input implementation
//-----------------------------
char* Input::value()
{
    return text;
}

void Input::value( char* text_ )
{
    text = text_;
}

//-----------------------------
// Input implementation
//-----------------------------
char* Output::value()
{
    return text;
}

void Output::value( char* text_ )
{
    text = text_;
}
